mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

To obtain this value for a module, use the method.

This enumeration corresponds to the CorPEKind enumeration in the unmanaged reflection API, which is accessed by the unmanaged GetPEKind function.

Identifies the nature of the code in an executable file.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.PortableExecutableKinds

  The executable contains only Microsoft intermediate language (MSIL), and is therefore neutral with respect to 32-bit or 64-bit platforms.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.PortableExecutableKinds

  The file is not in portable executable (PE) file format.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.PortableExecutableKinds

  The executable requires a 64-bit platform.

- Field
  4.0.0.0
  System.Reflection.PortableExecutableKinds

  The executable is platform-agnostic but should be run on a 32-bit platform whenever possible.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.PortableExecutableKinds

  The executable can be run on a 32-bit platform, or in the 32-bit Windows on Windows (WOW) environment on a 64-bit platform.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.PortableExecutableKinds

  The executable contains pure unmanaged code.